org.hibernate.search.cfg

## Class EntityDescriptor

- java.lang.Object
- - org.hibernate.search.cfg.EntityDescriptor

-     public class EntityDescriptor
      extends Object

  Author:
    Emmanuel Bernard

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityDescriptor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClassBridgeDef(Map<String,Object> classBridge)`
    `void` | `addClassBridgeInstanceConfiguration(FieldBridge classBridge, ClassBridge configuration)`
    `void` | `addClassBridgeInstanceDef(FieldBridge classBridge, Map<String,Object> properties)`
    `void` | `addFulltextFilterDef(Map<String,Object> fullTextFilterDef)`
    `void` | `addSpatial(Map<String,Object> spatial)`
    `Map<String,Object>` | `getAnalyzerDiscriminator()`
    `Map<String,Object>` | `getBoost()`
    `Map<String,Object>` | `getCacheInMemory()` Deprecated. This will be removed with no replacement.
    `Map<FieldBridge,ClassBridge>` | `getClassBridgeConfigurations()`
    `Set<Map<String,Object>>` | `getClassBridgeDefs()`
    `Map<FieldBridge,Map<String,Object>>` | `getClassBridgeInstanceDefs()`
    `Map<String,Object>` | `getDynamicBoost()`
    `Set<Map<String,Object>>` | `getFullTextFilterDefs()`
    `Map<String,Object>` | `getIndexed()`
    `PropertyDescriptor` | `getPropertyDescriptor(String name, ElementType type)`
    `Map<String,Object>` | `getProvidedId()`
    `Set<Map<String,Object>>` | `getSpatials()`
    `void` | `setAnalyzerDiscriminator(Map<String,Object> analyzerDiscriminator)`
    `void` | `setBoost(Map<String,Object> boost)`
    `void` | `setCacheInMemory(Map<String,Object> cacheInMemory)` Deprecated. This will be removed with no replacement.
    `void` | `setDynamicBoost(Map<String,Object> dynamicEntityBoost)`
    `void` | `setIndexed(Map<String,Object> indexed)`
    `void` | `setProvidedId(Map<String,Object> providedId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityDescriptor

          public EntityDescriptor()

  - ### Method Detail

    - #### getIndexed

          public Map<String,Object> getIndexed()

    - #### setIndexed

          public void setIndexed(Map<String,Object> indexed)

    - #### getPropertyDescriptor

          public PropertyDescriptor getPropertyDescriptor(String name,
                                                          ElementType type)

    - #### getCacheInMemory

          @Deprecated
          public Map<String,Object> getCacheInMemory()

      Deprecated. This will be removed with no replacement.
      This feature will be removed, with no replacement as caching fields is no longer effective.
      Returns:
        This will always return an empty Map.

    - #### setCacheInMemory

          @Deprecated
          public void setCacheInMemory(Map<String,Object> cacheInMemory)

      Deprecated. This will be removed with no replacement.
      This feature will be removed, with no replacement as caching fields is no longer effective.
      Parameters:
        `cacheInMemory` - this parameter will be ignored.

    - #### setBoost

          public void setBoost(Map<String,Object> boost)

    - #### getBoost

          public Map<String,Object> getBoost()

    - #### setAnalyzerDiscriminator

          public void setAnalyzerDiscriminator(Map<String,Object> analyzerDiscriminator)

    - #### getAnalyzerDiscriminator

          public Map<String,Object> getAnalyzerDiscriminator()

    - #### getFullTextFilterDefs

          public Set<Map<String,Object>> getFullTextFilterDefs()

    - #### addFulltextFilterDef

          public void addFulltextFilterDef(Map<String,Object> fullTextFilterDef)

    - #### addClassBridgeDef

          public void addClassBridgeDef(Map<String,Object> classBridge)

    - #### addClassBridgeInstanceDef

          public void addClassBridgeInstanceDef(FieldBridge classBridge,
                                                Map<String,Object> properties)

    - #### getClassBridgeDefs

          public Set<Map<String,Object>> getClassBridgeDefs()

    - #### getClassBridgeInstanceDefs

          public Map<FieldBridge,Map<String,Object>> getClassBridgeInstanceDefs()

    - #### addClassBridgeInstanceConfiguration

          public void addClassBridgeInstanceConfiguration(FieldBridge classBridge,
                                                          ClassBridge configuration)

    - #### getClassBridgeConfigurations

          public Map<FieldBridge,ClassBridge> getClassBridgeConfigurations()

    - #### addSpatial

          public void addSpatial(Map<String,Object> spatial)

    - #### getSpatials

          public Set<Map<String,Object>> getSpatials()

    - #### setProvidedId

          public void setProvidedId(Map<String,Object> providedId)

    - #### getProvidedId

          public Map<String,Object> getProvidedId()

    - #### setDynamicBoost

          public void setDynamicBoost(Map<String,Object> dynamicEntityBoost)

    - #### getDynamicBoost

          public Map<String,Object> getDynamicBoost()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved